### Function Macro

# GLib renew

since: 2.0

#### Declaration

    #define g_renew (
      struct_type,
      mem,
      n_structs
    )

#### Description

Reallocates the memory pointed to by `mem`, so that it now has space for `n_structs` elements of type `struct_type`. It returns the new address of the memory, which may have been moved. Care is taken to avoid overflow when calculating the size of the allocated block.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`struct_type`

  Type: `-`

  The type of the elements to allocate.

`mem`

  Type: `-`

  The currently allocated memory.

`n_structs`

  Type: `-`

  The number of elements to allocate.